<template>
  <div class="selected-days">
    <div class="selected-days_header">Selected days</div>
    <div class="selected-days_body">
      <div v-for="day in selectedDaysSorted" :key="day">{{ day }}</div>
    </div>
  </div>
</template>
<script>
export default {
  name: "SelectedDaysViewer",
  props: {
    selectedDays: { type: Array }
  },
  computed: {
    selectedDaysSorted() {
      let formatedDays = [...this.selectedDays].map(day =>
        day.format("DD/MM/YYYY")
      );
      let sortedDays = formatedDays.sort();
      return sortedDays;
    }
  }
};
</script>
<style>
.selected-days {
  border: 2px solid black;
}
.selected-days_header {
  border-bottom: 2px solid black;
  padding: 5px;
}
.selected-days_body {
  margin: 15px;
}
</style>
